Lib User32.dll
Function GetDoubleClickTime () As Long
Function GetWindow (ByVal hwnd As Long, ByVal wCmd As Long) As Long
Function WindowFromPoint (ByVal xPoint As Long, ByVal yPoint As Long) As Long
Function ChildWindowFromPoint (ByVal hWnd As Long, ByVal xPoint As Long, ByVal yPoint As Long) As Long
Function GetParent (ByVal hwnd As Long) As Long
Function GetNextDlgTabItem (ByVal hDlg As Long, ByVal hCtl As Long, ByVal bPrevious As Long) As Long
Function GetAsyncKeyState (ByVal vKey As Long) As Integer
Function AdjustWindowRect (lpRect As RECT, ByVal dwStyle As Long, ByVal bMenu As Long) As Long
Function AdjustWindowRectEx (lpRect As RECT, ByVal dsStyle As Long, ByVal bMenu As Long, ByVal dwEsStyle As Long) As Long
Function ShowWindow (ByVal hwnd As Long, ByVal nCmdShow As Long) As Long
Function SetWindowPos (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
Function DrawFrameControl (ByVal hdc As Long, lpRect As RECT, ByVal un1 As Long, ByVal un2 As Long) As Long
Function IsWindowVisible (ByVal hWnd As Long) As Long
Function GetSysColor (ByVal nIndex As Long) As Long
Function DrawFocusRect (ByVal hdc As Long, lpRect As RECT) As Long
Function FillRect (ByVal hdc As Long, lpRect As RECT, ByVal hBrush As Long) As Long
Function GetClientRect (ByVal hwnd As Long, lpRect As RECT) As Long
Function SetDlgItemTextA (ByVal hDlg As Long, ByVal nIDDlgItem As Long, ByVal lpString As String) As Long
Function SetDlgItemTextW (ByVal hDlg As Long, ByVal nIDDlgItem As Long, ByVal lpString As Long) As Long
Function DialogBoxIndirectParamA (ByVal hInstance As Long, ByVal hDialogTemplate As String, ByVal hWndParent As Long, ByVal lpDialogFunc As Long, ByVal xParam As Long) As Long
Function DialogBoxIndirectParamW (ByVal hInstance As Long, ByVal hDialogTemplate As String, ByVal hWndParent As Long, ByVal lpDialogFunc As Long, ByVal xParam As Long) As Long
Function GetDC (ByVal hwnd As Long) As Long
Function ReleaseDC (ByVal hwnd As Long, ByVal hdc As Long) As Long
Function ExitWindowsEx (ByVal uFlags As Long, ByVal dwReserved As Long) As Long
Function MonitorFromPoint (ByVal x As Long, ByVal y As Long, ByVal dwFlags As Long) As Long
Function GetMonitorInfoA (ByVal hMonitor As Long, ByRef lpmi As MONITORINFO) As Long
Function GetForegroundWindow () As Long
Function SetForegroundWindow (ByVal hWnd As Long) As Long
Function GetSystemMetrics (ByVal nIndex As Long) As Long
Function GetMenuItemRect (ByVal hWnd As Long, ByVal hMenu As Long, ByVal uItem As Long, lprcItem As RECT) As Long
Function DestroyWindow (ByVal hWnd As Long) As Long
Function GetWindowRect (ByVal hWnd As Long, lpRect As RECT) As Long
Function GetIconInfo (ByVal hIcon As Long, piconinfo As ICONINFO) As Long
Function CreateIconIndirect (piconinfo As ICONINFO) As Long
Function ClientToScreen (ByVal hWnd As Long, ByRef lpPoint As Any) As Long
Function ScreenToClient (ByVal hwnd As Long, ByRef lpPoint As Any) As Long
Function LoadStringA (ByVal hInstance As Long, ByVal wID As Long, ByVal lpBuffer As Long, ByVal nBufferMax As Long) As Long
Function LoadStringW (ByVal hInstance As Long, ByVal wID As Long, ByVal lpBuffer As Long, ByVal nBufferMax As Long) As Long
Function SetWindowTextA (ByVal hwnd As Long, ByVal lpString As String) As Long
Function SetWindowTextW (ByVal hwnd As Long, ByVal lpString As Long) As Long
Function GetKeyNameTextA (ByVal lParam As Long, ByVal lpBuffer As Long, ByVal nSize As Long) As Long
Function GetKeyNameTextW (ByVal lParam As Long, ByVal lpBuffer As Long, ByVal nSize As Long) As Long
Function MapVirtualKeyA (ByVal wCode As Long, ByVal wMapType As Long) As Long
Function MapVirtualKeyW (ByVal wCode As Long, ByVal wMapType As Long) As Long
Function DefWindowProcA (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Function DefWindowProcW (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Function CallWindowProcA (ByVal lpPrevWndFunc As Long, ByVal hwnd As Long, ByVal Msg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Function CallWindowProcW (ByVal lpPrevWndFunc As Long, ByVal hwnd As Long, ByVal Msg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Function CreateWindowExA (ByVal dwExStyle As Long, ByVal lpClassName As String, ByVal lpWindowName As String, ByVal dwStyle As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hWndParent As Long, ByVal hMenu As Long, ByVal hInstance As Long, ByVal lpParam As long) As Long
Function CreateWindowExW (ByVal dwExStyle As Long, ByVal lpClassName As Long, ByVal lpWindowName As Long, ByVal dwStyle As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hWndParent As Long, ByVal hMenu As Long, ByVal hInstance As Long, ByVal lpParam As Long) As Long
Function GetClassNameA (ByVal hwnd As Long, ByVal lpClassName As Long, ByVal nMaxCount As Long) As Long
Function GetClassNameW (ByVal hwnd As Long, ByVal lpClassName As Long, ByVal nMaxCount As Long) As Long
Function LoadCursorA (ByVal hInstance As Long, ByVal lpCursorName As Long) As Long
Function LoadCursorW (ByVal hInstance As Long, ByVal lpCursorName As Long) As Long
Function RegisterClassExA (pcWndClassEx As WNDCLASSEX) As Integer
Function RegisterClassExW (pcWndClassEx As WNDCLASSEX) As Integer
Function UnregisterClassA (ByVal lpClassName As String, ByVal hInstance As Long) As Long
Function UnregisterClassW (ByVal lpClassName As Long, ByVal hInstance As Long) As Long
Function GetClassInfoExA (ByVal hInstance As Long, ByVal lpClassName As String, lpWndClass As WNDCLASSEX) As Long
Function GetClassInfoExW (ByVal hInstance As Long, ByVal lpClassName As Long, lpWndClass As WNDCLASSEX) As Long
Function DrawTextA (ByVal hdc As Long, ByVal lpStr As String, ByVal nCount As Long, lpRect As RECT, ByVal wFormat As Long) As Long
Function DrawTextADirect alias "DrawTextA" (ByVal hdc As Long, ByVal lpStr As Long, ByVal nCount As Long, lpRect As RECT, ByVal wFormat As Long) As Long
Function DrawTextW (ByVal hdc As Long, ByVal lpStr As Long, ByVal nCount As Long, lpRect As RECT, ByVal wFormat As Long) As Long
Function MessageBoxW (ByVal hwnd As Long, ByVal lpText As Long, ByVal lpCaption As Long, ByVal wType As Long) As Long
Function GetMenuStringA (ByVal hMenu As Long, ByVal wIDItem As Long, ByVal lpString As Long, ByVal nMaxCount As Long, ByVal wFlag As Long) As Long
Function GetMenuStringW (ByVal hMenu As Long, ByVal wIDItem As Long, ByVal lpString As Long, ByVal nMaxCount As Long, ByVal wFlag As Long) As Long
Function ModifyMenuA (ByVal hMenu As Long, ByVal nPosition As Long, ByVal wFlags As Long, ByVal wIDNewItem As Long, ByVal lpString As String) As Long
Function ModifyMenuW (ByVal hMenu As Long, ByVal nPosition As Long, ByVal wFlags As Long, ByVal wIDNewItem As Long, ByVal lpString As Long) As Long
Function GetWindowTextA (ByVal hwnd As Long, ByVal lpString As Long, ByVal cch As Long) As Long
Function GetWindowTextW (ByVal hwnd As Long, ByVal lpString As Long, ByVal cch As Long) As Long
Function LoadMenuA (ByVal hInstance As Long, ByVal lpString As String) As Long
Function LoadMenuW (ByVal hInstance As Long, ByVal lpString As Long) As Long
!Function InsertMenuA (ByVal hMenu As Long, ByVal nPosition As Long, ByVal wFlags As Long, ByVal wIDNewItem As Long, lpNewItem As Any) As Long
Function InsertMenuW (ByVal hMenu As Long, ByVal nPosition As Long, ByVal wFlags As Long, ByVal wIDNewItem As Long, ByVal lpNewItem As Long) As Long
Function SetMenu (ByVal hwnd As Long, ByVal hMenu As Long) As Long
Function DrawMenuBar (ByVal hwnd As Long) As Long
Function DeleteMenu (ByVal hMenu As Long, ByVal nPosition As Long, ByVal wFlags As Long) As Long
Function SetMenuDefaultItem (ByVal hMenu As Long, ByVal uItem As Long, ByVal fByPos As Long) As Long
Function CreatePopupMenu () As Long
Function DestroyMenu (ByVal hMenu As Long) As Long
Function CheckMenuItem (ByVal hMenu As Long, ByVal wIDCheckItem As Long, ByVal wCheck As Long) As Long
Function EnableMenuItem (ByVal hMenu As Long, ByVal wIDEnableItem As Long, ByVal wEnable As Long) As Long
Function TrackPopupMenuEx (ByVal hMenu As Long, ByVal un As Long, ByVal n1 As Long, ByVal n2 As Long, ByVal hwnd As Long, ByVal lpTPMParams As Long) As Long
Function GetMenuState (ByVal hMenu As Long, ByVal wID As Long, ByVal wFlags As Long) As Long
Function GetMenuItemCount (ByVal hMenu As Long) As Long
Function RemoveMenu (ByVal hMenu As Long, ByVal nPosition As Long, ByVal wFlags As Long) As Long
Function WinHelpA (ByVal hwnd As Long, ByVal lpHelpFile As String, ByVal wCommand As Long, dwData As Any) As Long
Function WinHelpW (ByVal hwnd As Long, ByVal lpHelpFile As Long, ByVal wCommand As Long, dwData As Any) As Long
Function GetDlgItemTextA (ByVal hDlg As Long, ByVal nIDDlgItem As Long, ByVal lpString As Long, ByVal nMaxCount As Long) As Long
Function GetDlgItemTextW (ByVal hDlg As Long, ByVal nIDDlgItem As Long, ByVal lpString As Long, ByVal nMaxCount As Long) As Long
Function SetTimer (ByVal hwnd As Long, ByVal nIDEvent As Long, ByVal uElapse As Long, ByVal lpTimerFunc As Long) As Long
Function KillTimer (ByVal hwnd As Long, ByVal nIDEvent As Long) As Long
Function MsgWaitForMultipleObjects (ByVal nCount As Long, pHandles As Long, ByVal fWaitAll As Long, ByVal dwMilliseconds As Long, ByVal dwWakeMask As Long) As Long
Function SetFocusAPI Alias "SetFocus" (ByVal hwnd As Long) As Long
Function GetDlgItem (ByVal hDlg As Long, ByVal nIDDlgItem As Long) As Long
Function CheckDlgButton (ByVal hDlg As Long, ByVal nIDButton As Long, ByVal wCheck As Long) As Long
Function IsDlgButtonChecked (ByVal hDlg As Long, ByVal nIDButton As Long) As Long
Function EnableWindow (ByVal hwnd As Long, ByVal fEnable As Long) As Long
Function EndDialog (ByVal hDlg As Long, ByVal nResult As Long) As Long
Function GetCursorPos (lpPoint As Any) As Long
Function GetWindowPlacement (ByVal hwnd As Long, lpwndpl As WINDOWPLACEMENT) As Long
Function GetDesktopWindow () As Long
Function FindWindowA (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Function FindWindowW (ByVal lpClassName As Long, ByVal lpWindowName As Long) As Long
!Function SendMessageA (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
!Function SendMessageW (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
!Function PostMessageA (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
!Function PostMessageW (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
Function GetWindowLongA (ByVal hwnd As Long, ByVal nIndex As Long) As Long
Function GetWindowLongW (ByVal hwnd As Long, ByVal nIndex As Long) As Long
Function SetWindowLongA (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Function SetWindowLongW (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Function SystemParametersInfoA (ByVal uAction As Long, ByVal uParam As Long, lpvParam As Any, ByVal fuWinIni As Long) As Long
Function SystemParametersInfoW (ByVal uAction As Long, ByVal uParam As Long, lpvParam As Any, ByVal fuWinIni As Long) As Long
Function CreateDialogIndirectParamA (ByVal hInstance As Long, ByVal lpTemplate As String, ByVal hWndParent As Long, ByVal lpDialogFunc As Long, ByVal dwInitParam As Long) As Long
Function CreateDialogIndirectParamW (ByVal hInstance As Long, ByVal lpTemplate As String, ByVal hWndParent As Long, ByVal lpDialogFunc As Long, ByVal dwInitParam As Long) As Long
Function EnumChildWindows (ByVal hWndParent As Long, ByVal lpEnumFunc As Long, ByVal lParam As Long) As Long
!Function LoadImageA (ByVal hInst As Long, lpsz As Any, ByVal uType As Long, ByVal cxDesired As Long, ByVal cyDesired As Long, ByVal fuLoad As Long) As Long
Function DestroyIcon (ByVal hIcon As Long) As Long
Function RegisterDeviceNotificationA (ByVal hRecipient As Long, NotificationFilter As Any, ByVal Flags As Long) As Long
Function UnregisterDeviceNotification (ByVal hRecipient As Long) As Long
Function DrawIconEx (ByVal hDC As Long, ByVal xLeft As Long, ByVal yTop As Long, ByVal hIcon As Long, ByVal cxWidth As Long, ByVal cyWidth As Long, ByVal istepIfAniCur As Long, ByVal hbrFlickerFreeDraw As Long, ByVal diFlags As Long) As Long
Function GetDlgCtrlID (ByVal hwnd As Long) As Long
Function GrayStringA (ByVal hDC As Long, ByVal hBrush As Long, ByVal lpOutputFunc As Long, ByVal lpData As String, ByVal nCount As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long) As Long
Function GrayStringW (ByVal hDC As Long, ByVal hBrush As Long, ByVal lpOutputFunc As Long, ByVal lpData As Long, ByVal nCount As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long) As Long
Function InvalidateRect (ByVal hwnd As Long, lpRect As RECT, ByVal bErase As Long) As Long
Function RedrawWindow (ByVal hwnd As Long, lprcUpdate As RECT, ByVal hrgnUpdate As Long, ByVal fuRedraw As Long) As Long
Function SendMessageTimeoutA (ByVal hwnd As Long, ByVal msg As Long, ByVal wParam As Long, ByVal lParam As Long, ByVal fuFlags As Long, ByVal uTimeout As Long, lpdwResult As Long) As Long
Function SendMessageTimeoutW (ByVal hwnd As Long, ByVal msg As Long, ByVal wParam As Long, ByVal lParam As Long, ByVal fuFlags As Long, ByVal uTimeout As Long, lpdwResult As Long) As Long
